Get aliases
- GET /{index}/_alias/{name}
- GET /{index}/_alias
- GET /_alias/{name}
- GET /_alias
Retrieves information for one or more data stream or index aliases.
- Index privileges:
view_index_metadata
Path Parameters
-
indexIndexName | IndexNameoptional -
Comma-separated list of data streams or indices used to limit the request. Supports wildcards (
*). To target all data streams and indices, omit this parameter or use*or_all.Leave it out to use
/_alias. -
nameName | Nameoptional -
Comma-separated list of aliases to retrieve. Supports wildcards (
*). To retrieve all aliases, omit this parameter or use*or_all.Leave it out to use
/_alias.
Query Parameters
-
allow_no_indicesboolean · default: true If
false, the request returns an error if any wildcard expression, index alias, or_allvalue targets only missing or closed indices. This behavior applies even if the request targets other open indices.-
expand_wildcardsstring ExpandWildcards · default: all Type of index that wildcard patterns can match. If the request can target data streams, this argument determines whether wildcard expressions match hidden data streams. Supports comma-separated values, such as
open,hidden.Supported values include:
all: Match any data stream or index, including hidden ones.open: Match open, non-hidden indices. Also matches any non-hidden data stream.closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.hidden: Match hidden data streams and hidden indices. Must be combined withopen,closed, orboth.none: Wildcard expressions are not accepted.
-
Values:
allopenclosedhiddennone If
false, the request returns an error if it targets a missing or closed index.-
localboolean · default: falsedeprecated If
true, the request retrieves information from the local node only.
Response
Response Type: map string to IndexAliases